Skip to main content
POST
/
v3
/
evals
/
experiments
Create New Experiment
curl --request POST \
  --url https://{host}/v3/evals/experiments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "dataset_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "application_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "metadata": {
    "key1": "value1",
    "key2": "value2"
  }
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "metadata": {
      "key1": "value1",
      "key2": "value2"
    },
    "error_reason": "<string>",
    "error_message": "<string>",
    "traceback": "<string>",
    "duration_ms": 123,
    "created_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "full_name": "<string>"
    },
    "updated_by": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "email": "jsmith@example.com",
      "full_name": "<string>"
    },
    "organization": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "project": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "dataset": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "application": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request body for creating an experiment

name
string
required

Name of the experiment

Maximum string length: 256
dataset_id
string<uuid>
required

ID of the dataset used in this experiment

application_id
string<uuid>
required

ID of the application this experiment belongs to

description
string | null

Description of the experiment

Maximum string length: 512
metadata
object

JSONB field for unstructured metadata

Example:
{ "key1": "value1", "key2": "value2" }

Response

Details of the created experiment

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object

Details of an experiment